%%


#include <ctype.h>
#include <stdio.h>

// Count the number of errors that had to be recover before accepting the string
int distance = 0; 

yylex ()
{
  int c;

  /* skip white space  */
  while ((c = getchar ()) == ' ' || c == '\t')  
    ;
  /* return end-of-file  */
  if (c == EOF)                            
    return 0;
  /* return single chars */
  return c;                                
}

main ()
{
  yyparse ();
  printf("%d", distance);
}


yyerror (s)  /* Called by yyparse on error */
     char *s;
{
  ++distance;  
}
