module SamplerRunner :
sig
    type syncat_t = Cg.Syncat.t
    val is_bo_consq : Deriv.Deriv.consq_t -> bool
    val score_prior :
      Deriv.Deriv.t -> Dict.Dict.t -> Cg.Syncat.t -> 'a -> 'a -> 'a -> 'a
    val compute :
      Models.probflag_t list ->
      int -> float -> Sampler.Sampler.syncat_t ->
      Dict.Dict.t -> float -> float -> float -> 
      string list -> string -> string -> string -> 
      Sampler.anneal_t -> unit
end

val set_probflags : (Models.probflag_t list ref * string list ref) -> string -> unit
