// summary.hh
//
// Mical, a regular grammar inference library
// Copyright (C) 2003 Maxime Rey
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef MICAL_INTERNAL_SUMMARY_HH_
#define MICAL_INTERNAL_SUMMARY_HH_

#include <mical/internal/fusion.hh>
#include <mical/internal/is_compatible.hh>
#include <mical/internal/k_window.hh>
#include <mical/internal/make_mca.hh>
#include <mical/internal/make_pta.hh>
#include <mical/internal/mca_to_pta.hh>
#include <mical/internal/renumerotation.hh>
#include <mical/internal/swap_states.hh>

#endif // MICAL_INTERNAL_SUMMARY_HH_
