// macros.hh
//
// Mical, a regular grammar inference library
// Copyright (C) 2003 Maxime Rey
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef MICAL_MACROS_HH_
# define MICAL_MACROS_HH_

namespace mical {

////////////////////////////////////////////////////////////////////////////////
// PROXY FUNCTIONS                                                            //
////////////////////////////////////////////////////////////////////////////////
#define PROXY1(function, param1) proxy_##function(param1);

#define PROXY2(function, param1, param2) proxy_##function(param1, param2);

#define PROXY3(function, param1, param2, param3) proxy_##function(param1, param2, param3);

#define PROXY4(function, param1, param2, param3, param4) proxy_##function(param1, param2, param3, param4);

#define PROXY5(function, param1, param2, param3, param4, param5) proxy_##function(param1, param2, param3, param4, param5);
////////////////////////////////////////////////////////////////////////////////

} // mical

#endif // MICAL_MACROS_HH_
